aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Jansa <martin.jansa@gmail.com>2018-05-11 19:21:38 +0000
committerKhem Raj <raj.khem@gmail.com>2018-05-18 12:30:56 -0700
commit432b411d0758754a825c5234f5e989c1caa44e00 (patch)
treecc5dc7783129623eda4374fa5466671610e05c50
parent022b6c920ae8644ce9e3eda4ad8c8267241746d5 (diff)
downloadmeta-openembedded-contrib-432b411d0758754a825c5234f5e989c1caa44e00.tar.gz
meta-openembedded-contrib-432b411d0758754a825c5234f5e989c1caa44e00.tar.bz2
meta-openembedded-contrib-432b411d0758754a825c5234f5e989c1caa44e00.zip
spice: fix dependency on python-pyparsing, add support for native(sdk)
* drop PR * add +git to PV * drop python-pyparsing dependency, because python-pyparsing is in meta-python * replace dependency on python-pyparsing with python-pyparsing-native which is used to generate client/generated_marshallers.cpp Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
-rw-r--r--meta-networking/recipes-support/spice/spice_git.bb10
1 files changed, 7 insertions, 3 deletions
diff --git a/meta-networking/recipes-support/spice/spice_git.bb b/meta-networking/recipes-support/spice/spice_git.bb
index 04e7a25d70..2039841ddf 100644
--- a/meta-networking/recipes-support/spice/spice_git.bb
+++ b/meta-networking/recipes-support/spice/spice_git.bb
@@ -13,8 +13,7 @@ architectures."
LICENSE = "BSD & LGPLv2.1+"
LIC_FILES_CHKSUM = "file://COPYING;md5=4fbd65380cdd255951079008b364516c"
-PR = "r0"
-PV = "0.12.4"
+PV = "0.12.4+git${SRCPV}"
# Actual versions based on the checkouts below
# spice = "0.12.4"
@@ -44,11 +43,14 @@ S = "${WORKDIR}/git"
inherit autotools gettext pythonnative python-dir pkgconfig
-DEPENDS += "python-native celt051 python-pyparsing jpeg pixman alsa-lib glib-2.0"
+DEPENDS += "celt051 jpeg pixman alsa-lib glib-2.0 python-pyparsing-native"
+DEPENDS_append_class-nativesdk = "nativesdk-openssl"
export PYTHON="${STAGING_BINDIR_NATIVE}/python-native/python"
export PYTHONPATH="${PKG_CONFIG_SYSROOT_DIR}${libdir}/python2.7/site-packages"
+PACKAGECONFIG_class-native = ""
+PACKAGECONFIG_class-nativesdk = ""
PACKAGECONFIG ?= "sasl"
PACKAGECONFIG[smartcard] = "--enable-smartcard,--disable-smartcard,libcacard,"
@@ -74,3 +76,5 @@ do_install_append() {
}
COMPATIBLE_HOST = '(x86_64|i.86).*-linux'
+
+BBCLASSEXTEND = "native nativesdk"